Bug 331951 - 'gconf-editor' uses 'GNOME' folder icon even when 'Bluecurve' theme is chosen
'gconf-editor' uses 'GNOME' folder icon even when 'Bluecurve' theme is chosen
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gconf-editor (Show other bugs)
9
noarch Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
bzcl34nup
:
: 331921 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 06:24 EDT by Joachim Frieben
Modified: 2009-06-10 04:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 04:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample screenshot of 'gconf-editor' utility (22.79 KB, image/png)
2007-10-15 06:24 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-10-15 06:24:21 EDT
Description of problem:
The 'gconf-editor' utility uses the stock 'GNOME' folder icon in the
folder pane, even when 'Bluecurve' is the active icon theme.

Version-Release number of selected component (if applicable):
bluecurve-icon-theme-8.0.0-1.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Set icon theme to 'Bluecurve'.
2. Launch 'gconf-editor'.
  
Actual results:
The stock 'GNOME' folder icon is visible in the folder pane.

Expected results:
The corresponding [and existing] 'Bluecurve' icon is used.

Additional info:
Might be a bug in 'gconf-editor' [2.20.0-1.fc8] itself, the folder icon
does not change for other themes either.
Comment 1 Joachim Frieben 2007-10-15 06:24:21 EDT
Created attachment 227431 [details]
Sample screenshot of 'gconf-editor' utility
Comment 2 Joachim Frieben 2007-10-15 06:35:58 EDT
*** Bug 331921 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2008-04-04 10:06:45 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Joachim Frieben 2008-04-04 10:27:58 EDT
Still broken for bluecurve-icon-theme-8.0.1-1.fc9.
Comment 5 Bug Zapper 2008-05-13 23:23:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Joachim Frieben 2008-09-25 12:46:10 EDT
Theming is ok with gconf-editor-2.23.91-1.fc10 but still broken with
gconf-editor-2.22.0-1.fc9.
Comment 7 Juan J. Cavallaro 2008-10-09 14:33:20 EDT
not sure if this is related, but applying an icon theme that works great on RHEL 5.2 does not work 100% on fedora 9 (both with latest updates). i.e. the folder icon does not update, whereas the zipped file icon does.
Comment 8 Joachim Frieben 2008-10-10 02:21:55 EDT
(In reply to comment #7)
No, it is not. Old icon themes work less well with every new GNOME release because of changing icon naming specs of the GNOME default theme.
It seems that pre-2.24 versions of gconf-editor, the folder icon was addressed by the application using an absolute icon path whereas the latest 2.24 version appears to have dropped the path prefix making it behave correctly now.
Comment 9 Bug Zapper 2009-06-09 18:56:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.